Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class CacheEntry

    java.lang.Object
      org.apache.naming.resources.CacheEntry

    public class CacheEntry

extends Object

Implements a cache entry.

Version:
  $Revision: 832954 $
Author:
  Remy Maucherat

Field Summary
`long` | `accessCount`
`ResourceAttributes` | `attributes`
`DirContext` | `context`
`boolean` | `exists`
`String` | `name`
`Resource` | `resource`
`int` | `size`
`long` | `timestamp`

Constructor Summary
`CacheEntry()`

Method Summary
`void` | `recycle()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timestamp

    public long timestamp

### name

    public String name

### attributes

    public ResourceAttributes attributes

### resource

    public Resource resource

### context

    public DirContext context

### exists

    public boolean exists

### accessCount

    public long accessCount

### size

    public int size

Constructor Detail

### CacheEntry

    public CacheEntry()

Method Detail

### recycle

    public void recycle()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.